Bug 76778 - floppy.o module problem
Summary: floppy.o module problem
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-26 11:34 UTC by Petri T. Koistinen
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-17 16:02:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My kernel config (18.83 KB, text/plain)
2002-10-26 11:35 UTC, Petri T. Koistinen
no flags Details
Floppy module doesn't work (8.10 KB, text/plain)
2002-11-02 23:52 UTC, Petri T. Koistinen
no flags Details

Description Petri T. Koistinen 2002-10-26 11:34:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I try to compile custom kernel and following error appears, on two diffrent machine.

(make mrproper ; make menu config ; make dep)

[root@ns2 linux-2.4]# make bzImage

(lots of text)

make[1]: Entering directory `/usr/src/linux-2.4.18-17.8.0'
ld -m elf_i386 -T /usr/src/linux-2.4.18-17.8.0/arch/i386/vmlinux.lds -e stext
arch/i386/rnel/head.o arch/i386/kernel/init_task.o init/main.o init/version.o
init/do_mounts.o --srt-group arch/i386/kernel/kernel.o arch/i386/mm/mm.o
kernel/kernel.o mm/mm.o fs/fs.o ipcpc.o  drivers/char/char.o
drivers/block/block.o drivers/misc/misc.o drivers/net/net.o drers/media/media.o
drivers/ide/idedriver.o drivers/cdrom/driver.o drivers/pci/driver.o
drers/pnp/pnp.o drivers/video/video.o net/network.o crypto/crypto.o abi/abi.o
/usr/src/lin-2.4.18-17.8.0/arch/i386/lib/lib.a
/usr/src/linux-2.4.18-17.8.0/lib/lib.a
/usr/src/linux.4.18-17.8.0/arch/i386/lib/lib.a --end-group  -o vmlinux
fs/fs.o: In function `proc_pid_stat':
fs/fs.o(.text+0x2098a): undefined reference to `__udivdi3'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.18-17.8.0'
make: *** [vmlinux] Error 2
[root@ns2 linux-2.4]#


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure kernel.
2. Compile it.
	

Additional info:

kernel-source-2.4.18-17.8.0

Comment 1 Petri T. Koistinen 2002-10-26 11:35:35 UTC
Created attachment 82204 [details]
My kernel config

Comment 2 Petri T. Koistinen 2002-10-26 11:37:34 UTC
There is on typo. There should read: 'make menuconfig'. Sorry.

Comment 3 Arjan van de Ven 2002-10-31 23:16:02 UTC
please don't use HZ=1000 but only HZ=512 or HZ=100

Comment 4 Petri T. Koistinen 2002-11-02 23:52:29 UTC
Created attachment 83224 [details]
Floppy module doesn't work

Comment 5 Petri T. Koistinen 2002-11-02 23:53:48 UTC
I changed HZ to 512.

Comment 6 Petri T. Koistinen 2003-05-17 16:02:16 UTC
I'll try this later again. There is too much open kernel bugs anyway.


Note You need to log in before you can comment on or make changes to this bug.